package com.spider.quartz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.spider.common.annotation.Excel;
import com.spider.common.core.domain.BaseEntity;

/**
 * 美国、欧盟召回数据excel 下载记录对象 excel_download_log
 * 
 * @author ruoyi
 * @date 2025-11-27
 */
public class ExcelDownloadLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 类型：美国、欧盟 */
    @Excel(name = "类型：美国、欧盟")
    private String type;

    /** 下载时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下载时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date downloadTime;

    /** excel文件路径 */
    @Excel(name = "excel文件路径")
    private String excelPath;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private Long status;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private String createDept;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updateUser;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private Long isDeleted;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    public void setDownloadTime(Date downloadTime) 
    {
        this.downloadTime = downloadTime;
    }

    public Date getDownloadTime() 
    {
        return downloadTime;
    }

    public void setExcelPath(String excelPath) 
    {
        this.excelPath = excelPath;
    }

    public String getExcelPath() 
    {
        return excelPath;
    }

    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }

    public void setCreateDept(String createDept) 
    {
        this.createDept = createDept;
    }

    public String getCreateDept() 
    {
        return createDept;
    }

    public void setUpdateUser(String updateUser) 
    {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() 
    {
        return updateUser;
    }

    public void setIsDeleted(Long isDeleted) 
    {
        this.isDeleted = isDeleted;
    }

    public Long getIsDeleted() 
    {
        return isDeleted;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("downloadTime", getDownloadTime())
            .append("excelPath", getExcelPath())
            .append("status", getStatus())
            .append("createUser", getCreateUser())
            .append("createDept", getCreateDept())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("updateUser", getUpdateUser())
            .append("isDeleted", getIsDeleted())
            .toString();
    }
}
